Subject: RE: Make addity?
From: [email-masked] (Peter A. Vogel)

27 Sep 1998 01:18:24 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Lewis Beard" <[email-masked]>,
        "Gnu-Win32 Mailing List" <[email-masked]>

I use make-3.77 built using the cygwin gcc tools for b19, having done
a straight-up "./configure" in the source tree to build it under the
cygnus environment.

The only time, I ever see "missing separator" type messages are when:

1.  The makefile was edited using an editor that converts tabs to spaces,
    gnumake REQUIRES command lines to begin with a <tab>.  Some windoze
    editors (and some configurations of emacs) convert tabs to spaces.

2.  I honestly forgot a colon where there should be one (like in a .PHONY)
    declaration.

It would help a lot if you showed us your makefile, at least a snippet
around
line 48 (couple lines before, couple after).

-Peter

Peter A. Vogel
Manager, SW Configuration Management
Chromatic Research, Inc.
http://www.chromatic.com

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Lewis Beard
> Sent: Friday, September 25, 1998 8:27 AM
> To: Gnu-Win32 Mailing List
> Subject: Make addity?
>
>
> All,
>
> As requested, I looked through back issues of the newsletter before
> posting. I DID find mention of my problem, but no solution was given and
> the answer didn't satisfy me.
>
> I have a problem in that, when I modify my make files, I get:
>
> 	makefile:48: *** missing separator.  Stop.
>
> To me this is a serious problem; it occurs when I add new lines or
> delete lines entirely. It happens whether or not I have a unix or dos
> line type. The only way I can get around it is to keep my makefile on a
> unix box on the internet and make changes there and ftp it across,
> because once I change the length of the file or add lines or whatnot, I
> get this seperator problem. What gives? Why this is happening? Is there
> a way around it without a new or patched make?
>
> The person who answered the original poster (Geoofrey Noer, I believe)
> said "make 3.77 fixes this", essentially. He poster also said that a
> later patch of b19 will fix it, but that make 3.77 wont fix it. That
> totally confused me. :) 3.77 make fixes that now, but later it wont?
>
> Also, where can I get source or binaries to the version of make (3.77)
> listed above, if indeed it does fix it? I'm new to the whole project, so
> I have yet to find my way around.
>
> Sorry for the totally newbie question.
>
> Lewis
> --
> Lewis W. Beard   601-460-5267   [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".